package utils

import (
	"io"
	"net/http"

	"github.com/tidwall/gjson"
)

func GetRequest(url string) gjson.Result {
	r, err := http.NewRequest("GET", url, nil)
	if err != nil {
		panic(err)
	}

	r.Header.Set("Accept", "application/vnd.github.v3+json")
	r.Header.Set("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36")

	client := &http.Client{}
	res, err := client.Do(r)
	if err != nil {
		panic(err)
	}

	defer res.Body.Close()

	body, err := io.ReadAll(res.Body)
	if err != nil {
		panic(err)
	}
	jsonified := gjson.Parse(string(body))

	return jsonified
}
